<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_anzeigenmarkt/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_anzeigenmarkt/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_anzeigenmarkt/locale/German.php";
}

// Infusion general information
$inf_title = $locale['MG_MARKT_title'];
$inf_description = $locale['MG_MARKT_desc'];
$inf_version = $locale['MG_MARKT_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_anzeigenmarkt"; // The folder in which the infusion resides.
$inf_panel_folder = "mg_anzeigenmarkt_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = MG_MARKET." (
market_id MEDIUMINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
market_kat MEDIUMINT(20) UNSIGNED NOT NULL,
market_user MEDIUMINT(20) UNSIGNED NOT NULL,
market_name VARCHAR(50) NOT NULL DEFAULT '',
market_desc TEXT,
market_img VARCHAR(50) NOT NULL DEFAULT '',
market_plz VARCHAR(6) NOT NULL DEFAULT '',
market_ort VARCHAR(200) NOT NULL DEFAULT '',
market_str VARCHAR(200) NOT NULL DEFAULT '',
market_tel VARCHAR(200) NOT NULL DEFAULT '',
market_preis_min INT(10) UNSIGNED NOT NULL DEFAULT '0',
market_preis_max INT(10) UNSIGNED NOT NULL DEFAULT '0',
market_start_time INT(10) UNSIGNED NOT NULL DEFAULT '0',
market_end_time INT(10) UNSIGNED NOT NULL DEFAULT '0',
market_premium TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
market_views MEDIUMINT(20) UNSIGNED NOT NULL DEFAULT '0',
market_aktiv TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
market_gemeldet TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
market_infos_public TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (market_id)
) TYPE=MyISAM;";

$inf_newtable[2] = MG_MARKET_KAT." (
kat_id MEDIUMINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
kat_name VARCHAR(50) NOT NULL,
kat_desc TEXT,
main_kat VARCHAR(1) NOT NULL,
top_kat MEDIUMINT(20) UNSIGNED NOT NULL DEFAULT '0',
kat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
kat_order MEDIUMINT(20) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (kat_id)
) TYPE=MyISAM;";

$inf_newtable[3] = MG_MARKET_SET." (
settings_id SMALLINT(1) UNSIGNED NOT NULL,
market_inf_name VARCHAR(100) NOT NULL,
market_site_url VARCHAR(100) NOT NULL,
market_name VARCHAR(200) NOT NULL DEFAULT '',
score_pro_char SMALLINT(10) UNSIGNED NOT NULL DEFAULT '2',
score_img SMALLINT(10) UNSIGNED NOT NULL DEFAULT '500',
score_premium SMALLINT(10) UNSIGNED NOT NULL DEFAULT '1000',
score_views_aktiv TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
score_views SMALLINT(10) UNSIGNED NOT NULL DEFAULT '1',
img_width SMALLINT(5) UNSIGNED NOT NULL DEFAULT '500',
img_height SMALLINT(5) UNSIGNED NOT NULL DEFAULT '500',
forum_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (settings_id)
) TYPE=MyISAM;";

$inf_newtable[4] = MG_MARKET_USER." (
user_id MEDIUMINT(20) UNSIGNED NOT NULL,
user_merkliste TEXT,
user_gebote TEXT,
PRIMARY KEY (user_id)
) TYPE=MyISAM;";

$inf_newtable[5] = MG_MARKET_GEBOTE." (
gebot_id MEDIUMINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
user_id MEDIUMINT(20) UNSIGNED NOT NULL,
market_id MEDIUMINT(20) UNSIGNED NOT NULL,
gebot_preis INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (gebot_id)
) TYPE=MyISAM;";

$inf_newtable[6] = MG_MARKET_GEMELDET." (
melde_id MEDIUMINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
user_id MEDIUMINT(20) UNSIGNED NOT NULL,
market_id MEDIUMINT(20) UNSIGNED NOT NULL,
market_gemeldet_reason VARCHAR(200) NOT NULL DEFAULT '',
market_gemeldet_time INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (melde_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = MG_MARKET_SET." SET settings_id = '1', market_inf_name='', market_site_url='', market_name = '".$locale['MG_MARKT_name']."', score_pro_char = '2', score_img = '500', score_premium = '1000', score_views_aktiv = '1', score_views = '1', img_width = '500', img_height = '500' ";

$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['MG_MARKT_title']."', panel_filename='".$inf_panel_folder."', panel_side=1, panel_order='3', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = MG_MARKET;
$inf_droptable[2] = MG_MARKET_KAT;
$inf_droptable[3] = MG_MARKET_SET;
$inf_droptable[4] = MG_MARKET_USER;
$inf_droptable[5] = MG_MARKET_GEBOTE;
$inf_droptable[6] = MG_MARKET_GEMELDET;

$inf_altertable[1] = MG_MARKET_SET." ADD market_inf_name VARCHAR(100) NOT NULL AFTER settings_id";
$inf_altertable[2] = MG_MARKET_SET." ADD market_site_url VARCHAR(100) NOT NULL AFTER market_inf_name";

$inf_deldbrow[1] = DB_COMMENTS." WHERE comment_type='AM'";
$inf_deldbrow[2] = DB_PANELS." WHERE panel_filename='".$inf_panel_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['MG_MARKT_admin1'],
	"image" => "mg_anzeigenmarkt.png",
	"panel" => "mg_anzeigenmarkt_admin.php",
	"rights" => "ANZ"
);

$inf_sitelink[1] = array(
	"title" => $locale['MG_MARKT_link1'],
	"url" => "mg_anzeigenmarkt.php",
	"visibility" => "0" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>