<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
include INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

if (!checkrights("ANZ") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(MARKTPLATZ."locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include MARKTPLATZ."locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include MARKTPLATZ."locale/German.php";
}
add_to_head("
<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/mg_anzeigenmarkt.css' />\n
");

if(isset($_GET['section']))
{
$section = stripinput($_GET['section']);
} else {
$section = "kats";
}

opentable($locale['MG_MARKT_admin1']);

if (function_exists("MarketSecurity")) {
	MarketSecurity();
} else {
	redirect(BASEDIR."index.php");
}

	$gemeldet = dbrows(dbquery("SELECT * FROM ".MG_MARKET_GEMELDET.""));
	echo "<table class='tbl-border center' width='100%' cellpadding='3' cellspacing='0'>";
	echo "<tr>

	<td width='33%' class='".($section == "kats" ? "tbl1" : "tbl2")."' align='center'>".($section == "kats" ? "<strong>".$locale['MG_MARKT_0700']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=kats'><strong>".$locale['MG_MARKT_0700']."</strong></a>")."</td>

	<td width='33%' class='".($section == "gemeldet" ? "tbl1" : "tbl2")."' align='center'>".($section == "gemeldet" ? "<strong>".$locale['MG_MARKT_0701']." (".$gemeldet.")</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=gemeldet'><strong>".$locale['MG_MARKT_0701']." (".$gemeldet.")</strong></a>")."</td>

	<td width='33%' class='".($section == "settings" ? "tbl1" : "tbl2")."' align='center'>".($section == "settings" ? "<strong>".$locale['MG_MARKT_0702']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=settings'><strong>".$locale['MG_MARKT_0702']."</strong></a>")."</td>

	</tr>
	</table>";
	switch ($section) {
	case "kats" :
	// Kategorien
	include MARKTPLATZ."admin/admin_kats.php";
	break;

	case "settings" :
	// Einstellungen
	include MARKTPLATZ."admin/admin_settings.php";
	break;

	case "gemeldet" :
	// gemeldete Anzeigen
	include MARKTPLATZ."admin/admin_gemeldet.php";
	break;
	}

closetable();

if (getMarketSet("market_inf_name") == "" || getMarketSet("market_inf_name") != md5("MG Anzeigen-Markt") || getMarketSet("market_site_url") == "" || getMarketSet("market_site_url") != md5("MG Anzeigen-Markt".$settings['siteurl'])) {
		redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_register.php".$aidlink);
}
echo marketCopyright();
echo "
<script type='text/javascript'>
	$(document).ready(function(){
	$('.market_success').fadeOut(5000);
	$('.market_error').fadeOut(10000);
	});
</script>";

require_once THEMES."templates/footer.php";
?>