<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_register.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
require_once INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

if (!checkrights("ANZ") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_anzeigenmarkt/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_anzeigenmarkt/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_anzeigenmarkt/locale/German.php";
}

add_to_head("
<style type='text/css'>
<!--
.missing_field {
	border: 1px solid red !important;
	background-color : #FFB6C1; !important;
}

.keyfield {	
	background-color : #B0FE9A; !important;
	color: dimgray !important;
	padding:8px;
}

.register-message {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	text-align: center;
	color: #707070;
	background: #FFCFCF;
	border: 2px solid #CC0000;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	padding: 10px 0px;
	margin: 5px auto;
	width:60%;
	min-height: 40px;
}
-->
</style>
");
	
$data_version = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'mg_anzeigenmarkt'"));	
$inf_version = $data_version['inf_version'];

if ($inf_version != $locale['MG_MARKT_version']) {
	opentable($locale['MG_MARKT_reg01']);
	echo "<div class='register-message'>".sprintf($locale['MG_MARKT_reg10'], $locale['MG_MARKT_version'], $inf_version)."</div>";
	closetable();
} elseif (isset($_POST['save_reg'])) {
	if ($_POST['market_inf_name'] == "") {
		redirect(FUSION_SELF.$aidlink."&amp;error=missing_field");
	} elseif ($_POST['market_site_url'] == "") {
		redirect(FUSION_SELF.$aidlink."&amp;error=missing_field");
	}
	$market_inf_name = stripinput($_POST['market_inf_name']);
	$market_site_url = stripinput($_POST['market_site_url']);
	$result = dbquery("UPDATE ".MG_MARKET_SET." SET
		market_inf_name ='".$market_inf_name."',
		market_site_url = '".$market_site_url."'
		WHERE settings_id = '1'");
	redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_admin.php".$aidlink);
} else {

$error = (isset($_GET['error']) && $_GET['error'] == "missing_field" ? " missing_field" : "");

opentable($locale['MG_MARKT_reg01']);
echo "<form name='mg_anzeigenmarkt_register_form' action='".FUSION_SELF.$aidlink."' method='post' autocomplete='off'>";
echo "<table cellpadding='3' cellspacing='1' width='600px' class='tbl-border center'>
		<tr>
			<td class='tbl2' style='font-weight:bold;font-size:big;text-align:left;' colspan='3'>
				".sprintf($locale['MG_MARKT_reg02'], $userdata['user_name'])."
			</td>
		</tr>
		<tr>
			<td class='tbl1' style='font-weight:bold;text-align:right;width:10%;white-space:nowrap;'>
				".$locale['MG_MARKT_reg03']." 1:
			</td>
			<td class='tbl1' style='font-weight:bold;text-align:left;width:20%;white-space:nowrap;'>
				".$locale['MG_MARKT_reg04']."
			</td>
			<td class='tbl1' style='text-align:left;'>
				<input type='text' class='textbox' style='width:250px;' value='".$settings['siteurl']."' readonly onMouseOver = \"this.focus()\" onFocus = \"this.select()\" />
			</td>
		</tr>
		<tr>
			<td class='tbl1' style='font-weight:bold;text-align:right;width:10%;white-space:nowrap;'>
				".$locale['MG_MARKT_reg03']." 2:
			</td>
			<td class='tbl1' style='font-weight:bold;text-align:left;white-space:nowrap;'>
				".$locale['MG_MARKT_reg05']."
			</td>
			<td class='tbl1' style='text-align:left;'>
				<a href='http://phpfusion.marcusg.de/infusions/mg_register_system/mg_register.php' target='_blank'>".$locale['MG_MARKT_reg06']."</a>
			</td>
		</tr>
		<tr>
			<td class='tbl1' style='font-weight:bold;text-align:right;width:10%;white-space:nowrap;'>
				".$locale['MG_MARKT_reg03']." 3:
			</td>
			<td class='tbl1' style='font-weight:bold;text-align:left;white-space:nowrap;'>
				".$locale['MG_MARKT_reg07']."
			</td>
			<td class='tbl1 keyfield' style='text-align:left;'>
				<input type='text' class='textbox".$error."' name='market_inf_name' style='width:250px;' />
			</td>
		</tr>
		<tr>
			<td class='tbl1' style='font-weight:bold;text-align:right;width:10%;white-space:nowrap;'>
				".$locale['MG_MARKT_reg03']." 4:
			</td>
			<td class='tbl1' style='font-weight:bold;text-align:left;white-space:nowrap;'>
				".$locale['MG_MARKT_reg08']."
			</td>
			<td class='tbl1 keyfield' style='text-align:left;'>
				<input type='text' class='textbox".$error."' name='market_site_url' style='width:250px;' />
			</td>
		</tr>
		<tr>
			<td class='tbl2' style='text-align:center;' colspan='3'>
				<input type='submit' class='button' name='save_reg' value='".$locale['MG_MARKT_reg09']."' />
			</td>
		</tr>";
		
	echo "
	</table>
	</form>";

closetable();
}
echo marketCopyright();

require_once THEMES."templates/footer.php";
?>
