<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_suche.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
include_once INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(MARKTPLATZ."locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include MARKTPLATZ."locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include MARKTPLATZ."locale/German.php";
}
add_to_head("
<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/mg_anzeigenmarkt.css' />\n
<script type='text/javascript' src='".MARKTPLATZ."includes/jquery-1.4.2.min.js'></script>
<script type='text/javascript' src='".MARKTPLATZ."includes/tools.tooltip-1.1.3.min.js'></script>\n
");
$sel = " class='selected'";

if (function_exists("MarketSecurity")) {
	MarketSecurity();
} else {
	redirect(BASEDIR."index.php");
}

opentable($locale['MG_MARKT_desc']);
include MARKTPLATZ."mg_anzeigenmarkt_header.php";
echo "<div id='market_bg'>";
echo "<div class='breadcrumb'>";
echo "<a href='".MARKTPLATZ."mg_anzeigenmarkt.php'>".$locale['MG_MARKT_0109']."</a><a".$sel." href='#'>".$locale['MG_MARKT_0332']."</a>";
echo "</div>";

if (!isset($_COOKIE["items_per_page"])) {
	$items_per_page = 15;
} else {
	$items_per_page = $_COOKIE["items_per_page"];
}

if (!isset($_COOKIE["sortieren"])) {
	$sortieren = "date";
} else {
	$sortieren = $_COOKIE["sortieren"];
}

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
	$_GET['rowstart'] = 0;
}

$suchtext = "";
$suchtext_sql = "";
$suchort = "";
$suchort_sql = "";

if(isset($_GET['suchtext']) && $_GET['suchtext'] != $locale['MG_MARKT_0007']) {
	$suchtext = stripinput($_GET['suchtext']);
	$suchtext_sql = "(market_name LIKE '%".$suchtext."%' OR market_desc LIKE '%".$suchtext."%')";
	if(isset($_GET['suchort']) && $_GET['suchort'] != $locale['MG_MARKT_0008']) {
		$suchtext_sql .= " AND ";
	}
}

if(isset($_GET['suchort']) && $_GET['suchort'] != $locale['MG_MARKT_0008']) {
	$suchort = stripinput($_GET['suchort']);
	$suchort_sql = "(market_plz LIKE '%".$suchort."%' OR market_ort LIKE '%".$suchort."%')";
}

switch ($sortieren) {
	case "priceASC":
		$order_by = "market_preis_min ASC, market_preis_max ASC";
	break;
	case "priceDESC":
		$order_by = "market_preis_min DESC, market_preis_max DESC";
	break;
	case "date":
		$order_by = "market_start_time DESC";
	break;
	case "plz":
		$order_by = "market_plz ASC";
	break;
	case "title":
		$order_by = "market_name ASC";
	break;
	case "user":
		$order_by = "market_user ASC";
	break;
}

$a_href = FUSION_SELF."?suchtext=".$suchtext."&amp;suchort=".$suchort;
echo "<br />
	<table class='tbl-border center' cellpadding='3' cellspacing='0' width='100%'>
	<tr>
		<td class='tbl2' style='text-align:center;'>
			".$locale['MG_MARKT_0314']."&nbsp;
			".($items_per_page == 1 ? "<b>1</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('1');\">1</a>")."&nbsp;
			".($items_per_page == 5 ? "<b>5</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('5');\">5</a>")."&nbsp;
			".($items_per_page == 10 ? "<b>10</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('10');\">10</a>")."&nbsp;
			".($items_per_page == 15 ? "<b>15</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('15');\">15</a>")."&nbsp;
			".($items_per_page == 20 ? "<b>20</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('20');\">20</a>")."&nbsp;
			".($items_per_page == 25 ? "<b>25</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('25');\">25</a>")."&nbsp;
			".($items_per_page == 30 ? "<b>30</b>" : "<a href='".$a_href."' onclick=\"setItemsPerPage('30');\">30</a>")."&nbsp;
		</td>
		<td class='tbl2' style='text-align:center;'>
			".$locale['MG_MARKT_0315']."&nbsp;
			".($sortieren == "priceASC" ? "<b>".$locale['MG_MARKT_0316']."</b> <img src='".getMarketImage("up")."' alt='".$locale['MG_MARKT_0317']."' title='".$locale['MG_MARKT_0317']."' style='border:none; vertical-align:middle;' />" : "<a href='".$a_href."' onclick=\"setOrderby('priceASC');\">".$locale['MG_MARKT_0316']." <img src='".getMarketImage("up")."' alt='".$locale['MG_MARKT_0317']."' title='".$locale['MG_MARKT_0317']."' style='border:none; vertical-align:middle;' /></a>")."&nbsp;
			".($sortieren == "priceDESC" ? "<b>".$locale['MG_MARKT_0316']."</b> <img src='".getMarketImage("down")."' alt='".$locale['MG_MARKT_0318']."' title='".$locale['MG_MARKT_0318']."' style='border:none; vertical-align:middle;' />" : "<a href='".$a_href."' onclick=\"setOrderby('priceDESC');\">".$locale['MG_MARKT_0316']." <img src='".getMarketImage("down")."' alt='".$locale['MG_MARKT_0318']."' title='".$locale['MG_MARKT_0318']."' style='border:none; vertical-align:middle;' /></a>")."&nbsp;
			".($sortieren == "date" ? "<b>".$locale['MG_MARKT_0319']."</b>" : "<a href='".$a_href."' onclick=\"setOrderby('date');\">".$locale['MG_MARKT_0319']."</a>")."&nbsp;
			".($sortieren == "plz" ? "<b>".$locale['MG_MARKT_0320']."</b>" : "<a href='".$a_href."' onclick=\"setOrderby('plz');\">".$locale['MG_MARKT_0320']."</a>")."&nbsp;
			".($sortieren == "title" ? "<b>".$locale['MG_MARKT_0321']."</b>" : "<a href='".$a_href."' onclick=\"setOrderby('title');\">".$locale['MG_MARKT_0321']."</a>")."&nbsp;
			".($sortieren == "user" ? "<b>".$locale['MG_MARKT_0322']."</b>" : "<a href='".$a_href."' onclick=\"setOrderby('user');\">".$locale['MG_MARKT_0322']."</a>")."&nbsp;
		</td>
	</tr>";
if(isset($_GET['suchtext']) && $_GET['suchtext'] == $locale['MG_MARKT_0007'] && isset($_GET['suchort']) && $_GET['suchort'] == $locale['MG_MARKT_0008']) {
	echo "<tr><td colspan='2' class='tbl1' style='text-align:center;'>".$locale['MG_MARKT_0333']."</td></tr>";
} else {

	$rows = dbcount("(market_id)", MG_MARKET, $suchtext_sql.$suchort_sql." AND market_aktiv='1'");
	$result = dbquery ("SELECT * FROM ".MG_MARKET." WHERE ".$suchtext_sql.$suchort_sql." AND market_aktiv='1' ORDER BY ".$order_by.", market_premium DESC LIMIT ".$_GET['rowstart'].", ".$items_per_page."");

	if (dbrows($result)) {
		echo "<tr><td colspan='2' class='tbl1' style='text-align:center;'><span style='".($rows > 100 ? "color: red;" : "")."font-weight:bold;'>".$rows."</span>&nbsp;".sprintf($locale['MG_MARKT_0334'], $suchtext, $suchort).($rows > 100 ? "<br /><span style='color: red;font-weight:bold;'>".$locale['MG_MARKT_0335']."</span>" : "")."</td></tr>";
		// Anzeigen
		$i = 1;
		$market_script = "<script type='text/javascript'>\n$(function() {";
		while ($data = dbarray($result)) {
			$market_script .= "$('#anzeige".$data['market_id']."').mouseover(function() {\n
			$('#anzeige_opts".$data['market_id']."').slideDown('slow');\n
			$('.market_options_div:not(#anzeige_opts".$data['market_id'].")').slideUp('slow');});\n";
			$market_script .= "$('.market_options_div').mouseleave(function() {\n
			$('#anzeige_opts".$data['market_id']."').slideUp('slow');\n});\n";
			$class = ($i%2 ? "tbl1" : "tbl2");
			$class_opt = ($i%2 ? "tbl2" : "tbl1");
			echo ($data['market_premium'] == "1" ? "<tr><td colspan='2' class='market_premium_top'><strong>".$locale['MG_MARKT_0323']."</strong></td></tr>" : "");
			echo "<tr class='".$class."'>
					<td colspan='2' class='".($data['market_premium'] == "1" ? "anzeige_premium" : "anzeige_hover")."' style='vertical-align:top;'>
						<div id='anzeige".$data['market_id']."' class='activator'>
						<div style='float: right; text-align: right; padding: 5px; width: 15%;'>
						".$locale['MG_MARKT_0316'].":<br />".($data['market_preis_min'] == "0" && $data['market_preis_max'] == "0" ? "---" : ($data['market_preis_min'] != "0" ? number_format($data['market_preis_min'], 2, ',', '.')." ".$locale['MG_MARKT_accurancy']."" : "").($data['market_preis_max'] != "0" ? " ".$locale['MG_MARKT_0301']." ".number_format($data['market_preis_max'], 2, ',', '.')." ".$locale['MG_MARKT_accurancy']."" : ""))."<br />
						".$data['market_plz']." ".$data['market_ort']."<br />
						".showdate("%d.%m.%Y", $data['market_start_time'])."<br /><span class='passed_time'>[".marketPassedTime($data['market_start_time'])."]</span><br />
						".($data['market_end_time'] != "0" ? "<br />".$locale['MG_MARKT_0324']."<br />".showdate("%d.%m.%Y", $data['market_end_time']) : "")."<br />
						</div>
						<div style='width:100px; float:left; padding: 5px;'>
							<img src='".MARKTPLATZ."user_images/".($data['market_img'] != "" ? $data['market_img'] : "missing_image.png")."' title='".$data['market_name']."' style='width:100px;' />
						</div>
						<div style='float: left; padding: 5px; width: 55%;'>
							<a href='".MARKTPLATZ."mg_anzeigenmarkt.php?market_id=".$data['market_id']."'><strong>".$data['market_name']."</strong></a><br />
							".trimDesc(marketCleanUp($data['market_desc']), 250, $data['market_id'])."
						</div>
						</div>
						<div id='anzeige_opts".$data['market_id']."' class='market_options_div'>";
						echo "<div style='float:right;'>";
						if (getMarketValue($data['market_id'], 'market_gemeldet') == "1") {
							echo "<img src='".getMarketImage('warning')."' title='".$locale['MG_MARKT_0325']."' style='vertical-align:middle;' /></a>";
						}
						if (iMEMBER && check_Merkliste($data['market_id']) == false) {
							echo "<a href='".MARKTPLATZ."mg_anzeigenmarkt.php?merken=true&amp;market_id=".$data['market_id']."' title='".$locale['MG_MARKT_0326']."'><img src='".getMarketImage('merken')."' style='vertical-align:middle;' /></a>";
						}
						if (iADMIN || $data['market_user'] == $userdata['user_id']) {
							echo "<a href='".MARKTPLATZ."mg_anzeigenmarkt.php?anzeige_edit=true&amp;market_id=".$data['market_id']."' title='".$locale['MG_MARKT_0327']."'><img src='".getMarketImage('edit_small')."' style='vertical-align:middle;margin-left: 4px;' /></a>";
						}


						echo "</div>";
						$comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='AM' AND comment_item_id='".$data['market_id']."'");
						$gebote = dbcount("(gebot_id)", MG_MARKET_GEBOTE, "market_id='".$data['market_id']."'");
						echo "<div style='float:left;'>".MARKET_BULLET."&nbsp;<a href='".BASEDIR."profile.php?lookup=".$data['market_user']."'>".getMarketUser($data['market_user'])."</a> ".$locale['MG_MARKT_0328']." ".showdate("%d.%m.%Y %H:%M", $data['market_start_time'])."&nbsp;".MARKET_BULLET."&nbsp;".getMarketValue($data['market_id'], 'market_views')." ".$locale['MG_MARKT_0329']."&nbsp;".MARKET_BULLET."&nbsp;".$comments." ".$locale['MG_MARKT_0330']."&nbsp;".MARKET_BULLET."&nbsp;".$gebote." ".$locale['MG_MARKT_0331']."</div>";
				echo "</div>
					</td>
				</tr>";
			$i++;
		}
		$market_script .= "});\n</script>";
		echo $market_script;
	} else {
		echo "<tr><td colspan='2' class='tbl1' style='text-align:center;'>".sprintf($locale['MG_MARKT_0336'], $suchtext, $suchort)."</td></tr>";
	}

	if ($rows > $items_per_page) {
		echo "<tr><td colspan='2' class='tbl2' style='text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3, FUSION_SELF."?suchtext=".$suchtext."&amp;suchort=".$suchort."&amp;")."</td></tr>";
	}

}
		echo "</table>";
echo "</div>";
closetable();

if (getMarketSet("market_inf_name") == "" || getMarketSet("market_inf_name") != md5("MG Anzeigen-Markt") || getMarketSet("market_site_url") == "" || getMarketSet("market_site_url") != md5("MG Anzeigen-Markt".$settings['siteurl'])) {
		redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_register.php".$aidlink);
}

echo marketCopyright();
echo "
<script type='text/javascript'>
$(document).ready(function(){
	$('.market_success').fadeOut(5000);
	$('.market_error').fadeOut(10000);
	$('.default-value').each(function() {
		var default_value = this.value;
		$(this).focus(function() {
			if(this.value == default_value) {
				this.value = '';
			}
		});
		$(this).blur(function() {
			if(this.value == '') {
				this.value = default_value;
			}
		});
	});
});
</script>";

require_once THEMES."templates/footer.php";
?>